| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Well::LogDisplayPars Class Reference
Well

Log display parameters. More...

`#include <welllogdisp.h>`

## Public Member Functions
| LogDisplayPars (const char *nm=nullptr)
| ~LogDisplayPars ()

## Public Attributes
float | cliprate_ = mUdf(float)
| If undef, use range_.
OD::Color | linecolor_ = OD::Color::White()
bool | logarithmic_ = false
bool | logfill_ = false
OD::Color | logfillcolor_ = OD::Color::White()
BufferString | name_
bool | nocliprate_ = false
Interval< float > | range_
| If cliprate_ set, filled using it.
int | repeat_ = 1
float | repeatovlap_ = mUdf(float)
bool | seisstyle_ = false
const char * | seqname_ = ""
bool | singlfillcol_ = false

## Detailed Description

Log display parameters.

<>

## Constructor & Destructor Documentation

## ◆ LogDisplayPars()

Well::LogDisplayPars::LogDisplayPars | ( | const char * | nm = nullptr | ) |

## ◆ ~LogDisplayPars()

Well::LogDisplayPars::~LogDisplayPars | ( |  | ) |

## Member Data Documentation

## ◆ cliprate_

float Well::LogDisplayPars::cliprate_ = mUdf(float)

If undef, use range_.

## ◆ linecolor_

OD::Color Well::LogDisplayPars::linecolor_ = OD::Color::White()

## ◆ logarithmic_

bool Well::LogDisplayPars::logarithmic_ = false

## ◆ logfill_

bool Well::LogDisplayPars::logfill_ = false

## ◆ logfillcolor_

OD::Color Well::LogDisplayPars::logfillcolor_ = OD::Color::White()

## ◆ name_

BufferString Well::LogDisplayPars::name_

## ◆ nocliprate_

bool Well::LogDisplayPars::nocliprate_ = false

## ◆ range_

Interval<float> Well::LogDisplayPars::range_

If cliprate_ set, filled using it.

## ◆ repeat_

int Well::LogDisplayPars::repeat_ = 1

## ◆ repeatovlap_

float Well::LogDisplayPars::repeatovlap_ = mUdf(float)

## ◆ seisstyle_

bool Well::LogDisplayPars::seisstyle_ = false

## ◆ seqname_

const char* Well::LogDisplayPars::seqname_ = ""

## ◆ singlfillcol_

bool Well::LogDisplayPars::singlfillcol_ = false

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025